View Issue Details

IDProjectCategoryView StatusLast Update
0000531Data Access / Retrieval Web Surface[All Projects] Generalpublic2018-01-02 17:19
ReporterRibeyeAssigned ToRibeye 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.1a 
Target Version0.1aFixed in Version0.1a 
Summary0000531: Session management system
Description

Create session management system, that works with tokens wo identity a user over the entire system. Those tokens are also required for the users direct identification and authorisation. If the token does not match, the user has no access rights.

TagsAdmin, GUI, Optimization

Activities

Ribeye

Ribeye

2017-12-26 18:30

administrator   ~0000672

Fix committed to master branch.

Related Changesets

DARWS: master d36dff70

2017-12-26 17:49:58

Ribeye

Details Diff
Resolves 0000531

Added identification of user over token.
Affected Issues
0000531
add - build/phpdox/xml/classes/authentication.xml Diff File
add - build/phpdox/xml/classes/configuration.xml Diff File
add - build/phpdox/xml/classes/core_dashboard.xml Diff File
add - build/phpdox/xml/classes/core_settings.xml Diff File
mod - build/phpdox/xml/classes/darws_engine.xml Diff File
mod - build/phpdox/xml/classes/database.xml Diff File
add - build/phpdox/xml/classes/form.xml Diff File
add - build/phpdox/xml/classes/page.xml Diff File
add - build/phpdox/xml/classes/window.xml Diff File
mod - build/phpdox/xml/index.xml Diff File
mod - build/phpdox/xml/source.xml Diff File
mod - build/phpdox/xml/tokens/cfg/config_inc.php.xml Diff File
mod - build/phpdox/xml/tokens/index.php.xml Diff File
add - build/phpdox/xml/tokens/lib/defaults.php.xml Diff File
mod - build/phpdox/xml/tokens/lib/functions.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/INCLUDES.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/META.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/authentication.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/configuration.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/core_dashboard.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/core_settings.class.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/cls/darws_engine.class.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/cls/database.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/form.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/page.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/window.class.php.xml Diff File
mod - docs/html/classes.xhtml Diff File
add - docs/html/classes/authentication.xhtml Diff File
add - docs/html/classes/authentication/__construct.xhtml Diff File
add - docs/html/classes/authentication/is_valid.xhtml Diff File
add - docs/html/classes/configuration.xhtml Diff File
add - docs/html/classes/configuration/__construct.xhtml Diff File
add - docs/html/classes/configuration/get_page_title.xhtml Diff File
add - docs/html/classes/configuration/get_service_state.xhtml Diff File
add - docs/html/classes/core_dashboard.xhtml Diff File
add - docs/html/classes/core_dashboard/__construct.xhtml Diff File
add - docs/html/classes/core_settings.xhtml Diff File
add - docs/html/classes/core_settings/__construct.xhtml Diff File
mod - docs/html/classes/darws_engine.xhtml Diff File
mod - docs/html/classes/darws_engine/__construct.xhtml Diff File
mod - docs/html/classes/darws_engine/compile.xhtml Diff File
mod - docs/html/classes/database.xhtml Diff File
mod - docs/html/classes/database/__construct.xhtml Diff File
mod - docs/html/classes/database/fetch.xhtml Diff File
mod - docs/html/classes/database/query.xhtml Diff File
add - docs/html/classes/form.xhtml Diff File
add - docs/html/classes/form/__construct.xhtml Diff File
add - docs/html/classes/form/compile_form.xhtml Diff File
add - docs/html/classes/page.xhtml Diff File
add - docs/html/classes/page/compile_page.xhtml Diff File
add - docs/html/classes/page/set_page_title.xhtml Diff File
add - docs/html/classes/window.xhtml Diff File
add - docs/html/classes/window/__construct.xhtml Diff File
add - docs/html/classes/window/compile_window.xhtml Diff File
mod - docs/html/index.xhtml Diff File
mod - docs/html/namespaces.xhtml Diff File
rm - docs/html/source/adodb5/adodb-active-record.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-active-recordx.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-csvlib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-datadict.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-error.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-errorhandler.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-errorpear.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-exceptions.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-iterator.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-lib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-memcache.lib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-pager.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-pear.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-perf.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-php4.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-time.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-xmlschema.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-xmlschema03.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/contrib/index.xhtml Diff File
rm - docs/html/source/adodb5/contrib/toxmlrpc.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-firebird.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-generic.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sapdb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sybase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/index.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado5.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado_access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ads.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-borland_ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-csv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2oci.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2ora.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-fbsql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-firebird.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-informix72.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ldap.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssql_n.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssqlpo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqli.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqlpo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqlt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-netezza.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci805.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8po.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8quercus.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_oracle.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbtp.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbtp_unicode.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oracle.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_oci.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_pgsql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_sqlsrv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres64.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres7.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres9.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-proxy.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sapdb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlanywhere.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlite3.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlitepo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sybase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sybase_ase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-vfp.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/index.xhtml Diff File
rm - docs/html/source/adodb5/index.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ar.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-bg.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ca.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-cn.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-cz.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-da.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-de.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-en.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-eo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-es.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-fa.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-fr.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-hu.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-it.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-nl.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-pl.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-pt-br.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ro.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ru.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-sv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-th.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-uk.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/Container/ADOdb.php.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/Container/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/auth_adodb_example.php.xhtml Diff File
rm - docs/html/source/adodb5/pear/index.xhtml Diff File
rm - docs/html/source/adodb5/perf/index.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/pivottable.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/rsfilter.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/server.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-compress-bzip2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-compress-gzip.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-cryptsession.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-cryptsession2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-mcrypt.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-md5.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-secret.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-sha1.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session-clob.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session-clob2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/crypt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/session/index.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-cryptsession.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-session-clob.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-session.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/crypt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/index.xhtml Diff File
rm - docs/html/source/adodb5/toexport.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/tohtml.inc.php.xhtml Diff File
mod - docs/html/source/cfg/config_inc.php.xhtml Diff File
rm - docs/html/source/cfg/defaults.php.xhtml Diff File
mod - docs/html/source/cfg/index.xhtml Diff File
mod - docs/html/source/index.php.xhtml Diff File
mod - docs/html/source/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/contrib/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/datadict/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/drivers/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/lang/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/Auth/Container/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/Auth/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/perf/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/session/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/session/old/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/old/assets/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/old/index.xhtml Diff File
add - docs/html/source/lib/defaults.php.xhtml Diff File
mod - docs/html/source/lib/functions.php.xhtml Diff File
mod - docs/html/source/lib/index.xhtml Diff File
add - docs/html/source/mod/DARWS_core/INCLUDES.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/META.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/authentication.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/configuration.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/core_dashboard.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/core_settings.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/darws_engine.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/database.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/form.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/index.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/page.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/window.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/index.xhtml Diff File
mod - docs/html/source/mod/index.xhtml Diff File
mod - index.php Diff File
mod - mod/DARWS_core/cls/authentication.class.php Diff File

DARWS: master 9ab0e98f

2017-12-26 17:50:31

Ribeye


Committer: GitHub Details Diff
Merge pull request #1 from cr-bruderer/F#531

Resolves 0000531
Affected Issues
0000531
add - build/phpdox/xml/classes/authentication.xml Diff File
add - build/phpdox/xml/classes/configuration.xml Diff File
add - build/phpdox/xml/classes/core_dashboard.xml Diff File
add - build/phpdox/xml/classes/core_settings.xml Diff File
mod - build/phpdox/xml/classes/darws_engine.xml Diff File
mod - build/phpdox/xml/classes/database.xml Diff File
add - build/phpdox/xml/classes/form.xml Diff File
add - build/phpdox/xml/classes/page.xml Diff File
add - build/phpdox/xml/classes/window.xml Diff File
mod - build/phpdox/xml/index.xml Diff File
mod - build/phpdox/xml/source.xml Diff File
mod - build/phpdox/xml/tokens/cfg/config_inc.php.xml Diff File
mod - build/phpdox/xml/tokens/index.php.xml Diff File
add - build/phpdox/xml/tokens/lib/defaults.php.xml Diff File
mod - build/phpdox/xml/tokens/lib/functions.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/INCLUDES.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/META.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/authentication.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/configuration.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/core_dashboard.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/core_settings.class.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/cls/darws_engine.class.php.xml Diff File
mod - build/phpdox/xml/tokens/mod/DARWS_core/cls/database.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/form.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/page.class.php.xml Diff File
add - build/phpdox/xml/tokens/mod/DARWS_core/cls/window.class.php.xml Diff File
mod - docs/html/classes.xhtml Diff File
add - docs/html/classes/authentication.xhtml Diff File
add - docs/html/classes/authentication/__construct.xhtml Diff File
add - docs/html/classes/authentication/is_valid.xhtml Diff File
add - docs/html/classes/configuration.xhtml Diff File
add - docs/html/classes/configuration/__construct.xhtml Diff File
add - docs/html/classes/configuration/get_page_title.xhtml Diff File
add - docs/html/classes/configuration/get_service_state.xhtml Diff File
add - docs/html/classes/core_dashboard.xhtml Diff File
add - docs/html/classes/core_dashboard/__construct.xhtml Diff File
add - docs/html/classes/core_settings.xhtml Diff File
add - docs/html/classes/core_settings/__construct.xhtml Diff File
mod - docs/html/classes/darws_engine.xhtml Diff File
mod - docs/html/classes/darws_engine/__construct.xhtml Diff File
mod - docs/html/classes/darws_engine/compile.xhtml Diff File
mod - docs/html/classes/database.xhtml Diff File
mod - docs/html/classes/database/__construct.xhtml Diff File
mod - docs/html/classes/database/fetch.xhtml Diff File
mod - docs/html/classes/database/query.xhtml Diff File
add - docs/html/classes/form.xhtml Diff File
add - docs/html/classes/form/__construct.xhtml Diff File
add - docs/html/classes/form/compile_form.xhtml Diff File
add - docs/html/classes/page.xhtml Diff File
add - docs/html/classes/page/compile_page.xhtml Diff File
add - docs/html/classes/page/set_page_title.xhtml Diff File
add - docs/html/classes/window.xhtml Diff File
add - docs/html/classes/window/__construct.xhtml Diff File
add - docs/html/classes/window/compile_window.xhtml Diff File
mod - docs/html/index.xhtml Diff File
mod - docs/html/namespaces.xhtml Diff File
rm - docs/html/source/adodb5/adodb-active-record.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-active-recordx.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-csvlib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-datadict.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-error.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-errorhandler.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-errorpear.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-exceptions.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-iterator.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-lib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-memcache.lib.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-pager.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-pear.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-perf.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-php4.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-time.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-xmlschema.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb-xmlschema03.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/adodb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/contrib/index.xhtml Diff File
rm - docs/html/source/adodb5/contrib/toxmlrpc.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-firebird.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-generic.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sapdb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/datadict-sybase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/datadict/index.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado5.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado_access.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ado_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ads.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-borland_ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-csv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2oci.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-db2ora.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-fbsql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-firebird.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ibase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-informix72.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-ldap.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssql_n.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mssqlpo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqli.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqlpo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-mysqlt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-netezza.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci805.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8po.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oci8quercus.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbc_oracle.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbtp.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-odbtp_unicode.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-oracle.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_oci.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_pgsql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-pdo_sqlsrv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres64.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres7.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-postgres9.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-proxy.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sapdb.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlanywhere.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlite.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlite3.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sqlitepo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sybase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-sybase_ase.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/adodb-vfp.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/drivers/index.xhtml Diff File
rm - docs/html/source/adodb5/index.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ar.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-bg.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ca.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-cn.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-cz.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-da.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-de.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-en.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-eo.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-es.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-fa.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-fr.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-hu.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-it.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-nl.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-pl.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-pt-br.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ro.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-ru.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-sv.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-th.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/adodb-uk.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/lang/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/Container/ADOdb.php.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/Container/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/Auth/index.xhtml Diff File
rm - docs/html/source/adodb5/pear/auth_adodb_example.php.xhtml Diff File
rm - docs/html/source/adodb5/pear/index.xhtml Diff File
rm - docs/html/source/adodb5/perf/index.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-db2.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-informix.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mssql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mssqlnative.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-mysql.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-oci8.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/perf/perf-postgres.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/pivottable.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/rsfilter.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/server.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-compress-bzip2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-compress-gzip.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-cryptsession.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-cryptsession2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-mcrypt.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-md5.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-secret.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-encrypt-sha1.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session-clob.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session-clob2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session.php.xhtml Diff File
rm - docs/html/source/adodb5/session/adodb-session2.php.xhtml Diff File
rm - docs/html/source/adodb5/session/crypt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/session/index.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-cryptsession.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-session-clob.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/adodb-session.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/crypt.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/session/old/index.xhtml Diff File
rm - docs/html/source/adodb5/toexport.inc.php.xhtml Diff File
rm - docs/html/source/adodb5/tohtml.inc.php.xhtml Diff File
mod - docs/html/source/cfg/config_inc.php.xhtml Diff File
rm - docs/html/source/cfg/defaults.php.xhtml Diff File
mod - docs/html/source/cfg/index.xhtml Diff File
mod - docs/html/source/index.php.xhtml Diff File
mod - docs/html/source/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/contrib/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/datadict/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/drivers/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/lang/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/Auth/Container/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/Auth/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/pear/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/perf/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/session/index.xhtml Diff File
mod - docs/html/source/lib/adodb5/session/old/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/old/assets/index.xhtml Diff File
mod - docs/html/source/lib/ckeditor/samples/old/index.xhtml Diff File
add - docs/html/source/lib/defaults.php.xhtml Diff File
mod - docs/html/source/lib/functions.php.xhtml Diff File
mod - docs/html/source/lib/index.xhtml Diff File
add - docs/html/source/mod/DARWS_core/INCLUDES.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/META.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/authentication.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/configuration.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/core_dashboard.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/core_settings.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/darws_engine.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/database.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/form.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/cls/index.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/page.class.php.xhtml Diff File
add - docs/html/source/mod/DARWS_core/cls/window.class.php.xhtml Diff File
mod - docs/html/source/mod/DARWS_core/index.xhtml Diff File
mod - docs/html/source/mod/index.xhtml Diff File
mod - index.php Diff File
mod - mod/DARWS_core/cls/authentication.class.php Diff File

Issue History

Date Modified Username Field Change
2017-10-14 22:49 Ribeye New Issue
2017-10-14 22:49 Ribeye Status new => assigned
2017-10-14 22:49 Ribeye Assigned To => Ribeye
2017-10-14 22:49 Ribeye Tag Attached: Admin
2017-10-14 22:49 Ribeye Tag Attached: GUI
2017-10-14 22:49 Ribeye Tag Attached: Optimization
2017-12-26 18:30 Ribeye Changeset attached => DARWS master 9ab0e98f
2017-12-26 18:30 Ribeye Changeset attached => DARWS master d36dff70
2017-12-26 18:30 Ribeye Note Added: 0000672
2017-12-26 18:30 Ribeye Status assigned => resolved
2017-12-26 18:30 Ribeye Resolution open => fixed
2017-12-26 18:30 Ribeye Fixed in Version => 0.1a
2018-01-02 17:19 Ribeye Status resolved => closed